--[[
**********************************************************************
MagicDKP - a raid loot and DKP tracker.
**********************************************************************
This file is part of MagicDKP, a World of Warcraft Addon

MagicDKP is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MagicDKP is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with MagicDKP.  If not, see <http://www.gnu.org/licenses/>.
**********************************************************************
]]

-- This file has a default database for raid zones. It is not required
-- to actually add new zones as they are learned automatically, but it
-- nice to do so...

MagicDKP.defaultItems = {
   [45624] = {
      ["ignore"] = true,
      ["ilevel"] = "Item Level 80",
      ["name"] = "Emblem of Conquest",
      ["multiDKP"] = "D",
      ["itemid"] = 45624,
      ["rarity"] = 4,
      ["itemInfo"] = {
	 "Emblem of Conquest", -- [1]
	 "|cffa335ee|Hitem:45624:0:0:0:0:0:0:0:80|h[Emblem of Conquest]|h|r", -- [2]
	 4, -- [3]
	 80, -- [4]
	 80, -- [5]
	 "Money", -- [6]
	 "Money(OBSOLETE)", -- [7]
	 2147483647, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\Spell_Holy_ChampionsGrace", -- [10]
      },
      ["texture"] = "Interface\\Icons\\Spell_Holy_ChampionsGrace",
   },
   [40752] = {
      ["name"] = "Emblem of Heroism",
      ["rarity"] = 4,
      ["texture"] = "Interface\\Icons\\Spell_Holy_ProclaimChampion",
      ["itemInfo"] = {
	 "Emblem of Heroism", -- [1]
	 "|cffa335ee|Hitem:40752:0:0:0:0:0:0:0:80|h[Emblem of Heroism]|h|r", -- [2]
	 4, -- [3]
	 80, -- [4]
	 80, -- [5]
	 "Money", -- [6]
	 "Money(OBSOLETE)", -- [7]
	 2147483647, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\Spell_Holy_ProclaimChampion", -- [10]
      },
      ["itemid"] = 40752,
      ["ignore"] = true,
   },
   [40753] = {
      ["ignore"] = true,
      ["name"] = "Emblem of Valor",
      ["itemInfo"] = {
	 "Emblem of Valor", -- [1]
	 "|cffa335ee|Hitem:40753:0:0:0:0:0:0:0:80|h[Emblem of Valor]|h|r", -- [2]
	 4, -- [3]
	 80, -- [4]
	 80, -- [5]
	 "Money", -- [6]
	 "Money(OBSOLETE)", -- [7]
	 2147483647, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\Spell_Holy_ProclaimChampion_02", -- [10]
      },
      ["rarity"] = 4,
      ["itemid"] = 40753,
      ["texture"] = "Interface\\Icons\\Spell_Holy_ProclaimChampion_02",
   },
   [47241] = {
      ["ignore"] = true,
      ["name"] = "Emblem of Triumph",
      ["itemid"] = 47241,
      ["rarity"] = 4,
      ["itemInfo"] = {
	 "Emblem of Triumph", -- [1]
	 "|cffa335ee|Hitem:47241:0:0:0:0:0:0:0:80|h[Emblem of Triumph]|h|r", -- [2]
	 4, -- [3]
	 80, -- [4]
	 80, -- [5]
	 "Money", -- [6]
	 "Money(OBSOLETE)", -- [7]
	 2147483647, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\spell_holy_summonchampion", -- [10]
	 0, -- [11]
      },
      ["texture"] = "Interface\\Icons\\spell_holy_summonchampion",
   },
   [34057] = {
      ["ignore"] = true,
      ["name"] = "Abyss Crystal",
      ["itemInfo"] = {
	 "Abyss Crystal", -- [1]
	 "|cffa335ee|Hitem:34057:0:0:0:0:0:0:0:80|h[Abyss Crystal]|h|r", -- [2]
	 4, -- [3]
	 80, -- [4]
	 0, -- [5]
	 "Trade Goods", -- [6]
	 "Enchanting", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\INV_Enchant_AbyssCrystal", -- [10]
      },
      ["rarity"] = 4,
      ["itemid"] = 34057,
      ["texture"] = "Interface\\Icons\\INV_Enchant_AbyssCrystal",
   },
   [30311] = {
      ["rarity"] = 5,
      ["name"] = "Warp Slicer",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Warp Slicer", -- [1]
	 "|cffff8000|Hitem:30311:0:0:0:0:0:0:0|h[Warp Slicer]|h|r", -- [2]
	 5, -- [3]
	 175, -- [4]
	 70, -- [5]
	 "Weapon", -- [6]
	 "One-Handed Swords", -- [7]
	 1, -- [8]
	 "INVTYPE_WEAPON", -- [9]
	 "Interface\\Icons\\INV_Sword_69", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Sword_69",
   },
   [32249] = {
      ["rarity"] = 4,
      ["name"] = "Seaspray Emerald",
      ["bank"] = true,
      ["itemInfo"] = {
	 "Seaspray Emerald", -- [1]
	 "|cffa335ee|Hitem:32249:0:0:0:0:0:0:0|h[Seaspray Emerald]|h|r", -- [2]
	 4, -- [3]
	 100, -- [4]
	 0, -- [5]
	 "Gem", -- [6]
	 "Green", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\INV_Jewelcrafting_SeasprayEmerald_01", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Jewelcrafting_SeasprayEmerald_01",
   },
   [30312] = {
      ["rarity"] = 5,
      ["name"] = "Infinity Blade",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Infinity Blade", -- [1]
	 "|cffff8000|Hitem:30312:0:0:0:0:0:0:0|h[Infinity Blade]|h|r", -- [2]
	 5, -- [3]
	 175, -- [4]
	 70, -- [5]
	 "Weapon", -- [6]
	 "Daggers", -- [7]
	 1, -- [8]
	 "INVTYPE_WEAPON", -- [9]
	 "Interface\\Icons\\INV_Weapon_Shortblade_47", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Weapon_Shortblade_47",
   },
   [30313] = {
      ["rarity"] = 5,
      ["name"] = "Staff of Disintegration",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Staff of Disintegration", -- [1]
	 "|cffff8000|Hitem:30313:0:0:0:0:0:0:0|h[Staff of Disintegration]|h|r", -- [2]
	 5, -- [3]
	 175, -- [4]
	 70, -- [5]
	 "Weapon", -- [6]
	 "Staves", -- [7]
	 1, -- [8]
	 "INVTYPE_2HWEAPON", -- [9]
	 "Interface\\Icons\\INV_Staff_52", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Staff_52",
   },
   [30314] = {
      ["rarity"] = 5,
      ["name"] = "Phaseshift Bulwark",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Phaseshift Bulwark", -- [1]
	 "|cffff8000|Hitem:30314:0:0:0:0:0:0:0|h[Phaseshift Bulwark]|h|r", -- [2]
	 5, -- [3]
	 175, -- [4]
	 70, -- [5]
	 "Armor", -- [6]
	 "Shields", -- [7]
	 1, -- [8]
	 "INVTYPE_SHIELD", -- [9]
	 "Interface\\Icons\\INV_Shield_31", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Shield_31",
   },
   [30316] = {
      ["rarity"] = 5,
      ["name"] = "Devastation",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Devastation", -- [1]
	 "|cffff8000|Hitem:30316:0:0:0:0:0:0:0|h[Devastation]|h|r", -- [2]
	 5, -- [3]
	 175, -- [4]
	 70, -- [5]
	 "Weapon", -- [6]
	 "Two-Handed Axes", -- [7]
	 1, -- [8]
	 "INVTYPE_2HWEAPON", -- [9]
	 "Interface\\Icons\\INV_Axe_68", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Axe_68",
   },
   [30317] = {
      ["rarity"] = 5,
      ["name"] = "Cosmic Infuser",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Cosmic Infuser", -- [1]
	 "|cffff8000|Hitem:30317:0:0:0:0:0:0:0|h[Cosmic Infuser]|h|r", -- [2]
	 5, -- [3]
	 175, -- [4]
	 70, -- [5]
	 "Weapon", -- [6]
	 "One-Handed Maces", -- [7]
	 1, -- [8]
	 "INVTYPE_WEAPONMAINHAND", -- [9]
	 "Interface\\Icons\\INV_Mace_48", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Mace_48",
   },
   [29434] = {
      ["rarity"] = 4,
      ["name"] = "Badge of Justice",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Badge of Justice", -- [1]
	 "|cffa335ee|Hitem:29434:0:0:0:0:0:0:0|h[Badge of Justice]|h|r", -- [2]
	 4, -- [3]
	 70, -- [4]
	 70, -- [5]
	 "Miscellaneous", -- [6]
	 "Junk", -- [7]
	 200, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\Spell_Holy_ChampionsBond", -- [10]
      },
      ["texture"] = "Interface\\Icons\\Spell_Holy_ChampionsBond",
   },
   [30318] = {
      ["rarity"] = 5,
      ["name"] = "Netherstrand Longbow",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Netherstrand Longbow", -- [1]
	 "|cffff8000|Hitem:30318:0:0:0:0:0:0:0|h[Netherstrand Longbow]|h|r", -- [2]
	 5, -- [3]
	 175, -- [4]
	 70, -- [5]
	 "Weapon", -- [6]
	 "Bows", -- [7]
	 1, -- [8]
	 "INVTYPE_RANGED", -- [9]
	 "Interface\\Icons\\INV_Weapon_Bow_19", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Weapon_Bow_19",
   },
   [30319] = {
      ["rarity"] = 5,
      ["name"] = "Nether Spike",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Nether Spike", -- [1]
	 "|cffff8000|Hitem:30319:0:0:0:0:0:0:0|h[Nether Spike]|h|r", -- [2]
	 5, -- [3]
	 175, -- [4]
	 70, -- [5]
	 "Projectile", -- [6]
	 "Arrow", -- [7]
	 200, -- [8]
	 "INVTYPE_AMMO", -- [9]
	 "Interface\\Icons\\Spell_Arcane_StarFire", -- [10]
      },
      ["texture"] = "Interface\\Icons\\Spell_Arcane_StarFire",
   },
   [20725] = {
      ["rarity"] = 4,
      ["name"] = "Nexus Crystal",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Nexus Crystal", -- [1]
	 "|cffa335ee|Hitem:20725:0:0:0:0:0:0:0|h[Nexus Crystal]|h|r", -- [2]
	 4, -- [3]
	 60, -- [4]
	 0, -- [5]
	 "Trade Goods", -- [6]
	 "Enchanting", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\INV_Enchant_ShardNexusLarge", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Enchant_ShardNexusLarge",
   },
   [30320] = {
      ["rarity"] = 5,
      ["name"] = "Bundle of Nether Spikes",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Bundle of Nether Spikes", -- [1]
	 "|cffff8000|Hitem:30320:0:0:0:0:0:0:0|h[Bundle of Nether Spikes]|h|r", -- [2]
	 5, -- [3]
	 175, -- [4]
	 70, -- [5]
	 "Miscellaneous", -- [6]
	 "Junk", -- [7]
	 1, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\INV_Misc_MissileSmallCluster_Purple", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Misc_MissileSmallCluster_Purple",
   },
   [32227] = {
      ["rarity"] = 4,
      ["name"] = "Crimson Spinel",
      ["bank"] = true,
      ["itemInfo"] = {
	 "Crimson Spinel", -- [1]
	 "|cffa335ee|Hitem:32227:0:0:0:0:0:0:0|h[Crimson Spinel]|h|r", -- [2]
	 4, -- [3]
	 100, -- [4]
	 0, -- [5]
	 "Gem", -- [6]
	 "Red", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\INV_Jewelcrafting_CrimsonSpinel_01", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Jewelcrafting_CrimsonSpinel_01",
   },
   [34664] = {
      ["rarity"] = 3,
      ["name"] = "Sunmote",
      ["bank"] = true,
      ["itemInfo"] = {
	 "Sunmote", -- [1]
	 "|cff0070dd|Hitem:34664:0:0:0:0:0:0:0|h[Sunmote]|h|r", -- [2]
	 3, -- [3]
	 70, -- [4]
	 0, -- [5]
	 "Trade Goods", -- [6]
	 "Other", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\Spell_Nature_ElementalShields", -- [10]
      },
      ["texture"] = "Interface\\Icons\\Spell_Nature_ElementalShields",
   },
   [32228] = {
      ["rarity"] = 4,
      ["name"] = "Empyrean Sapphire",
      ["bank"] = true,
      ["itemInfo"] = {
	 "Empyrean Sapphire", -- [1]
	 "|cffa335ee|Hitem:32228:0:0:0:0:0:0:0|h[Empyrean Sapphire]|h|r", -- [2]
	 4, -- [3]
	 100, -- [4]
	 0, -- [5]
	 "Gem", -- [6]
	 "Blue", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\INV_Jewelcrafting_EmpyreanSapphire_01", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Jewelcrafting_EmpyreanSapphire_01",
   },
   [32229] = {
      ["rarity"] = 4,
      ["name"] = "Lionseye",
      ["bank"] = true,
      ["itemInfo"] = {
	 "Lionseye", -- [1]
	 "|cffa335ee|Hitem:32229:0:0:0:0:0:0:0|h[Lionseye]|h|r", -- [2]
	 4, -- [3]
	 100, -- [4]
	 0, -- [5]
	 "Gem", -- [6]
	 "Yellow", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\INV_Jewelcrafting_Lionseye_01", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Jewelcrafting_Lionseye_01",
   },
   [32230] = {
      ["rarity"] = 4,
      ["name"] = "Shadowsong Amethyst",
      ["bank"] = true,
      ["itemInfo"] = {
	 "Shadowsong Amethyst", -- [1]
	 "|cffa335ee|Hitem:32230:0:0:0:0:0:0:0|h[Shadowsong Amethyst]|h|r", -- [2]
	 4, -- [3]
	 100, -- [4]
	 0, -- [5]
	 "Gem", -- [6]
	 "Purple", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\INV_Jewelcrafting_ShadowsongAmethyst_01", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Jewelcrafting_ShadowsongAmethyst_01",
   },
   [22450] = {
      ["rarity"] = 4,
      ["name"] = "Void Crystal",
      ["ignore"] = true,
      ["itemInfo"] = {
	 "Void Crystal", -- [1]
	 "|cffa335ee|Hitem:22450:0:0:0:0:0:0:0|h[Void Crystal]|h|r", -- [2]
	 4, -- [3]
	 70, -- [4]
	 0, -- [5]
	 "Trade Goods", -- [6]
	 "Enchanting", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\INV_Enchant_VoidCrystal", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Enchant_VoidCrystal",
   },
   [32231] = {
      ["rarity"] = 4,
      ["name"] = "Pyrestone",
      ["bank"] = true,
      ["itemInfo"] = {
	 "Pyrestone", -- [1]
	 "|cffa335ee|Hitem:32231:0:0:0:0:0:0:0|h[Pyrestone]|h|r", -- [2]
	 4, -- [3]
	 100, -- [4]
	 0, -- [5]
	 "Gem", -- [6]
	 "Orange", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\INV_Jewelcrafting_Pyrestone_01", -- [10]
      },
      ["texture"] = "Interface\\Icons\\INV_Jewelcrafting_Pyrestone_01",
   },
   [32897] = {
      ["rarity"] = 2,
      ["name"] = "Mark of the Illidari",
      ["bank"] = true,
      ["itemInfo"] = {
	 "Mark of the Illidari", -- [1]
	 "|cff1eff00|Hitem:32897:0:0:0:0:0:0:0|h[Mark of the Illidari]|h|r", -- [2]
	 2, -- [3]
	 70, -- [4]
	 0, -- [5]
	 "Miscellaneous", -- [6]
	 "Other", -- [7]
	 250, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\Spell_Shadow_Metamorphosis", -- [10]
      },
      ["texture"] = "Interface\\Icons\\Spell_Shadow_Metamorphosis",
   },
   [32428] = {
      ["rarity"] = 3,
      ["name"] = "Heart of Darkness",
      ["bank"] = true,
      ["itemInfo"] = {
	 "Heart of Darkness", -- [1]
	 "|cff0070dd|Hitem:32428:0:0:0:0:0:0:0|h[Heart of Darkness]|h|r", -- [2]
	 3, -- [3]
	 65, -- [4]
	 0, -- [5]
	 "Trade Goods", -- [6]
	 "Other", -- [7]
	 20, -- [8]
	 "", -- [9]
	 "Interface\\Icons\\Spell_Shadow_DemonicTactics", -- [10]
      },
      ["texture"] = "Interface\\Icons\\Spell_Shadow_DemonicTactics",
   },
}

MagicDKP.defaultEvents = {
   ["raidstart"] = "Raid Start",
   ["raidend"] = "Raid End"
}


MagicDKP.defaultZones = {
   ["Sunwell Plateau"] = {
      size = 25,
      mobs = {
	 [24895] = {
	    name = "Madrigosa",
	    ignore = true,
	    notes = "The blue dragon that fights Brutallus. Never engaged by players.",
	 },
	 [24850] =  {
	    name = "Kalecgos",
	    ignore = true,
	    notes = "Doesn't actually die in the encounter.",
	 },
	 [24892] = {
	    name = "Sathrovarr the Corruptor",
	    event = "Kalecgos",
	 },
	 [24882] = {
	    name = "Brutallus",
	 },
	 [25038] = {
	    name = "Felmyst",
	 },
	 [25166] = {
	    name = "Grand Warlock Alythess", 
	    event = "Eredar Twins",
	 },
	 [25165] = {
	    name = "Lady Sacrolash", 
	    event = "Eredar Twins",
	 },
	 [25741] = {
	    name = "M'uru",
	    ignore = true,
	    notes = "Spawns Entropius upon death.",
	 },
	 [25840] = {
	    name = "Entropius",
	    event = "M'uru",
	 }
	 
	 --      "Kil'jaeden",
      }
   },

   ["Black Temple"] = {
      size = 25,
      mobs = {
	 [22887] = {
	    name = "High Warlord Naj'entus",
	 }, 
	 [22898] = {
	    name = "Supremus",
	 }, 
	 [22948] = {
	    name = "Gurtogg Bloodboil",
	 }, 
	 [22871] = {
	    name = "Teron Gorefiend",
	 }, 
	 [22841] = {
	    name = "Shade of Akama",
	 }, 
	 [23420] = {
	    name = "Essence of Anger",
	    event = "Reliquary of Souls",
	 }, 
	 [23419] = {
	    event = "Reliquary of Souls",
	    ignore = true,
	    name = "Essence of Desire",
	 }, 
	 [23418] = {
	    name = "Essence of Suffering",
	    ignore = true,
	    event = "Reliquary of Souls",
	 }, 
	 [22947] = {
	    name = "Mother Shahraz",
	 },

	 [22949] = {
	    name = "Gathios the Shatterer",
	    event = "Illidari Council",
	 }, 
	 [22950] = {
	    name = "High Nethermancer Zerevor",
	    event = "Illidari Council",
	    ["ignore"] = true,  -- generates combat log events when out of combat
	 }, 
	 [22951] = {
	    name = "Lady Malande",
	    event = "Illidari Council",
	 }, 
	 [22952] = {
	    name = "Veras Darkshadow",
	    event = "Illidari Council",
	 }, 
	 [22917] = {
	    name = "Illidan Stormrage",
	 },
	 [22996] = {
	    ["name"] = "Blade of Azzinoth",
	    ["ignore"] = true,
	 },
      },
   },
   ["Tempest Keep"] = {
      size = 25,
      mobs = {
	 [19514] = {
	    name = "Al'ar",
	 }, 
	 [18805] = {
	    name = "High Astromancer Solarian",
	 }, 
	 [19516] = {
	    name = "Void Reaver",
	 }, 
	 [19622] = {
	    name = "Kael'thas Sunstrider",
	 },
      }
   },
   
   ["Hyjal Summit"] = {
      size = 25,
      mobs =  { 
	 [17767] = {
	    name = "Rage Winterchill",
	 }, 
	 [17808] = {
	    name = "Anetheron",
	 }, 
	 [17888] = {
	    name = "Kaz'rogal",
	 }, 
	 [17842] = {
	    name = "Azgalor",
	 }, 
	 [17968] = {
	    name = "Archimonde",
	 },
      },
   },
   ["Magtheridon's Lair"] = {
      size = 25,
      mobs = {
	 [17256] = {
	    name = "Hellfire Channeler",
	    ignore = true,
	    event = "Magtheridon",
	 },
	 [17257] = {
	    name = "Magtheridon",
	 }
      },
   },
   ["Gruul's Lair"] = {
      size = 25,
      mobs = {
	 [18836] = {
	    name = "Blindeye the Seer",
	    event = "High King Maulgar",
	    ignore = true,
	 },
	 [18831] = {
	    name = "High King Maulgar",
	    event = "High King Maulgar",
	 },
	 [18832] = {
	    name = "Krosh Firehand",
	    event = "High King Maulgar",
	    ignore = true,
	 },
	 [18834] = {
	    name = "Olm the Summoner",
	    event = "High King Maulgar",
	    ignore = true,
	 },
	 [18835] = {
	    name = "Kiggler the Crazed",
	    event = "High King Maulgar",
	    ignore = true,
	 },
	 [19044] = {
	    name = "Gruul the Dragonkiller",
	 },
      },
   },
   ["Serpentshrine Cavern"] = {
      size = 25,
      mobs = {
	 [21216] = {
	    name = "Hydross the Unstable",
	 }, 
	 [21217] = {
	    name = "The Lurker Below",
	 }, 
	 [21215] = {
	    name = "Leotheras the Blind",
	 },
	 [21875] = {
	    name = "Shadow of Leotheras",
	    event = "Leotheras the Blind",
	    ignore = true,
	 },
	 [21214] = {
	    name = "Fathom-Lord Karathress",
	 }, 
	 [21213] = {
	    name = "Morogrim Tidewalker",
	 }, 
	 [21212] = {
	    name = "Lady Vashj",
	 }, 
      },
   }, 
   ["Naxxramas"] = {
      size = 25,
      ["mobs"] = {
	 [15930] = {
	    ["name"] = "Feugen",
	    ["ignore"] = true,
	 },
	 [15954] = {
	    ["name"] = "Noth the Plaguebringer",
	 },
	 [15931] = {
	    ["name"] = "Grobbulus",
	 },
	 [16063] = {
	    ["name"] = "Sir Zeliek",
	    ["event"] = "The Four Horsemen",
	 },
	 [15932] = {
	    ["name"] = "Gluth",
	 },
	 [16064] = {
	    ["name"] = "Thane Korth'azz",
	    ["event"] = "The Four Horsemen",
	 },
	 [15956] = {
	    ["name"] = "Anub'Rekhan",
	 },
	 [30549] = {
	    ["name"] = "Baron Rivendare",
	    ["event"] = "The Four Horsemen",
	 },
	 [16065] = {
	    ["name"] = "Lady Blaumeux",
	    ["event"] = "The Four Horsemen",
	 },
	 [16011] = {
	    ["name"] = "Loatheb",
	 },
	 [15989] = {
	    ["name"] = "Sapphiron",
	 },
	 [16028] = {
	    ["name"] = "Patchwerk",
	 },
	 [15928] = {
	    ["name"] = "Thaddius",
	 },
	 [16060] = {
	    ["name"] = "Gothik the Harvester",
	 },
	 [15952] = {
	    ["name"] = "Maexxna",
	 },
	 [15929] = {
	    ["name"] = "Stalagg",
	    ["ignore"] = true,
	 },
	 [16061] = {
	    ["name"] = "Instructor Razuvious",
	 },
	 [15936] = {
	    ["name"] = "Heigan the Unclean",
	 },
	 [15953] = {
	    ["name"] = "Grand Widow Faerlina",
	 },
	 [15990] = {
	    ["name"] = "Kel'Thuzad",
	 },
      },
   },
   ["The Obsidian Sanctum"] = {
      ["size"] = 25,
      ["mobs"] = {
	 [30451] = {
	    ["name"] = "Shadron",
	    ["ignore"] = true,
	 },
	 [30449] = {
	    ["name"] = "Vesperon",
	    ["ignore"] = true,
	 },
	 [28860] = {
	    ["name"] = "Sartharion",
	 },
	 [30452] = {
	    ["name"] = "Tenebron",
	    ["ignore"] = true,
	 },
      },
   },
   ["Vault of Archavon"] = {
      ["size"] = 25,
      ["mobs"] = {
	 [31125] = {
	    ["name"] = "Archavon the Stone Watcher",
	 },
	 [33993] = {
	    ["name"] = "Emalon the Storm Watcher",
	 },				
      },
   },
   ["The Eye of Eternity"] = {
      ["size"] = 25,
      ["mobs"] = {
	 [28859] = {
	    ["name"] = "Malygos",
	 },
      },
   },   
   ["Ulduar"] = {
      ["size"] = 25, 
      ["mobs"] = {
	 [33118] = {
	    ["name"] = "Ignis the Furnace Master",
	 },
	 [33186] = {
	    ["name"] = "Razorscale",
	 },
	 [33329] = {
	    ["name"] = "Heart of the Deconstructor",
	    ["event"] = "XT-002 Deconstructor", 
	    ["ignore"] = true,
	 },
	 [32857] = {
	    ["name"] = "Stormcaller Brundir",
	    ["event"] = "The Iron Council",
	 },
	 [34035] = {
	    ["name"] = "Feral Defender",
	    ["event"] = "Auriaya", 
	    ["ignore"] = true,
	 },
	 [33113] = {
	    ["name"] = "Flame Leviathan",
	 },
	 [32865] = {
	    ["name"] = "Thorim",
	 },
	 [32934] = {
	    ["name"] = "Right Arm",
	    ["event"] = "Kologarn", 
	    ["ignore"] = true,
	 },
	 [32927] = {
	    ["name"] = "Runemaster Molgeim",
	    ["event"] = "The Iron Council",
	 },
	 [32845] = {
	    ["name"] = "Hodir",
	 },
	 [33515] = {
	    ["name"] = "Auriaya",
	    ["event"] = "Auriaya", 
	 },
	 [34014] = {
	    ["name"] = "Sanctum Sentry",
	    ["event"] = "Auriaya", 
	    ["ignore"] = true,
	 },
	 [32867] = {
	    ["name"] = "Steelbreaker",
	    ["event"] = "The Iron Council",
	 },
	 [32933] = {
	    ["name"] = "Left Arm",
	    ["event"] = "Kologarn", 
	    ["ignore"] = true,
	 },
	 [32930] = {
	    ["event"] = "Kologarn", 
	    ["name"] = "Kologarn",
	 },
	 [33293] = {
	    ["name"] = "XT-002 Deconstructor",
	    ["event"] = "XT-002 Deconstructor",
	 },
	 [32906] = {
	    ["name"] = "Freya",
	    ["event"] = "Freya", 
	 },
	 [32913] = {
	    ["event"] = "Freya",
	    ["name"] = "Elder Ironbranch",
	    ["ignore"] = true,
	 },
	 [32914] = {
	    ["event"] = "Freya",
	    ["name"] = "Elder Stonebark",
	    ["ignore"] = true,
	 },
	 [32915] = {
	    ["event"] = "Freya",
	    ["name"] = "Elder Brightleaf",
	    ["ignore"] = true,
	 },	 
	 [33134] = {
	    ["name"] = "Sara",
	    ["ignore"] = true, 
	    ["event"] = "Yogg-Saron", 
	 },
	 [33271] = {
	    ["name"] = "General Vezax",	    
	 },
	 [33670] = {
	    ["name"] = "Aerial Combat Unit",
	    ["event"] = "Mimiron", 
	 },
	 [33432]  = {
	    ["name"] = "Leviathan Mk II",
	    ["event"] = "Mimiron", 
	 },
	 [33651] = {
	    ["name"] = "VX-001",
	    ["event"] = "Mimiron", 
	 },
	 [33350] = {
	    ["ignore"] = true, 
	    ["event"] = "Mimiron", 
	    ["name"] = "Mimiron",	    
	 },
	 [33288] = {
	    ["name"] = "Yogg-Saron",
	    ["event"] = "Yogg-Saron", 
	 },
	 [33890] = {
	    ["name"] = "Brain of Yogg-Saron",
	    ["event"] = "Yogg-Saron", 
	    ["ignore"] = true,
	 }
      },
   },
   ["Trial of the Crusader"] = {
      ["size"] = 25,
      ["mobs"] = {
	 [34796] = {
	    ["name"] = "Gormok the Impaler",
	    ["event"] = "Northrend Beasts",
	 },
	 [34797] = {
	    ["name"] = "Icehowl",
	    ["event"] = "Northrend Beasts",
	 },
	 [34799] = {
	    ["name"] = "Dreadscale",
	    ["event"] = "Northrend Beasts",
	 },
	 [35144] = {
	    ["name"] = "Acidmaw",
	    ["event"] = "Northrend Beasts",
	 },
	 [34780] = {
	    ["name"] = "Lord Jaraxxus",
	 },
	 [34496] = {
	    ["name"] = "Edyis Darkbane",
	    ["event"] = "Twin Valkyrs",
	 },
	 [34497] = {
	    ["name"] = "Fjola Lightbane",
	    ["event"] = "Twin Valkyrs",

	 },
	 [34564] = {
	    ["name"] = "Anub'arak",        
	 },

	 -- Wow.. lots of champions! Note the special "limit" hack. This is used
	 -- to allow victory without killing every single one of them, which obviously
	 -- is impossible.
	 [34451] = {
	    ["name"] = "Birana Stormhoof",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34455] = {
	    ["name"] = "Broln Stouthorn",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34447] = {
	    ["name"] = "Caiphus the Stern",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34459] = {
	    ["name"] = "Erin Misthoof",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34449] = {
	    ["name"] = "Ginselle Blightslinger",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34458] = {
	    ["name"] = "Gorgrim Shadowcleave",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34450] = {
	    ["name"] = "Harkzog",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34445] = {
	    ["name"] = "Liandra Suncaller",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34454] = {
	    ["name"] = "Maz'dinah",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34453] = {
	    ["name"] = "Narrhok Steelbreaker",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34448] = {
	    ["name"] = "Ruj'kah",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },    
	 [34444] = {
	    ["name"] = "Thrakgar",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34441] = {
	    ["name"] = "Vivienne Blackwhisper",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
	 [34467] = {
	    ["name"] = "Alyssia Moonstalker",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34466] = {
	    ["name"] = "Anthar Forgemender",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34471] = {
	    ["name"] = "Baelnor Lightbearer",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34473] = {
	    ["name"] = "Brienna Nightfell",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34472] = {
	    ["name"] = "Irieth Shadowstep",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34460] = {
	    ["name"] = "Kavina Grovesong",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34456] = {
	    ["name"] = "Malithas Brightblade",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34469] = {
	    ["name"] = "Melador Valestrider",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34468] = {
	    ["name"] = "Noozle Whizzlestick",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34474] = {
	    ["name"] = "Serissa Grimdabbler",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34463] = {
	    ["name"] = "Shaabad",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34470] = {
	    ["name"] = "Saamul",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34475] = {
	    ["name"] = "Shocuul",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34461] = {
	    ["name"] = "Tyrius Duskblade",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 }, 
	 [34465] = {
	    ["name"] = "Velanaa",
	    ["event"] = "Faction Champions",
	    ["limit"] = { 6, 10 }, 
	 },
      },
   }
}


